Bug 21252 - WiFi Intel 4965 не настраивается через acc
: WiFi Intel 4965 не настраивается через acc
Status: CLOSED FIXED
: ALT Linux Desktop
(All bugs in ALT Linux Desktop/hardware)
: 5.0.0
: all Linux
: P3 normal
Assigned To:
:
:
: distro-blocker
: 19897
: 19564
  Show dependency tree
 
Reported: 2009-08-27 13:34 by
Modified: 2009-08-29 20:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-27 13:34:10
Школьный мастер, 2009-08-26

Не работает беспроводная сетевая карта Intel 4965

В дистрибутивах 4.1 этот интерфейс работал с драйвером iwl4965

Теперь при установке интерфейс не обнаруживается.

Вывод lspci -v после установки:
04:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN
[Kedron] Network Connection (rev 61)
        Subsystem: Intel Corporation Device 1101
        Flags: bus master, fast devsel, latency 0, IRQ 28
        Memory at d8000000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] MSI: Mask- 64bit+ Count=1/1 Enable+
        Capabilities: [e0] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number 2d-b7-aa-ff-ff-e8-13-00
        Kernel driver in use: iwlagn
        Kernel modules: iwlagn

При выводе ifconfig видим следующее:

wlan0     Link encap:Ethernet  HWaddr 00:13:E8:AA:B7:2D
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)


В Alterator интерфейс доступен, но каталог /etc/net/ifaces/wlan0 при установке
не создается.

Попытка настроить беспроводную сеть через Alterator приводит к появлению окна
"Критическая ошибка. Не беспроводной интерфейс".
------- Comment #1 From 2009-08-27 14:02:33 -------
Попробуйте настроить в NetworkManager.

P.S. При установке WiFi недоступен.
------- Comment #2 From 2009-08-27 14:24:13 -------
Да, через NetworkManager - настраивается и работает.

Но сразу после установки интерфейс не виден, нужно лезть в acc, отдавать
интерфейс NetworkManager.

И при попытке настроить беспроводную сеть через acc все то же самое -
"Критическая ошибка. Не беспроводной интерфейс".
------- Comment #3 From 2009-08-27 15:39:13 -------
Странно, что интерфейс не привязан к NetworkManager по умолчанию. Про
невозможность настройки WiFi: #19897
------- Comment #4 From 2009-08-27 15:55:05 -------
fixed in alterator-net-wifi-0.10-alt1